#
# spec file for package python-pbkdf2
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-pbkdf2
Version:        1.3 
Release:        lp150.1.3
Summary:        PKCS#5 v2.0 PBKDF2 Module
License:        MIT
Group:          Development/Libraries/Python
Url:            http://www.dlitz.net/software/%{name}/
Source:         https://files.pythonhosted.org/packages/source/p/pbkdf2/pbkdf2-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  %{python_module base}
BuildRequires:  %{python_module nose}
BuildRequires:  %{python_module pycrypto}
BuildRequires:  %{python_module setuptools}
BuildRequires:  python-rpm-macros
Requires:       python-pycrypto

%python_subpackages

%description
This module implements the password-based key derivation function, PBKDF2, specified in RSA PKCS#5 v2.0.

%prep
%setup -q -n pbkdf2-%{version}
chmod a-x pbkdf2.py
sed -i '1d' pbkdf2.py

%build
%python_build

%install
%python_install

%check
%python_expand nosetests-%{python_bin_suffix}

%files %python_files
%defattr(-,root,root,-)
%{python_sitelib}/*
%doc README.txt

%changelog
* Fri Nov 17 2017 mimi.vx@gmail.com
- remove useless _service
- fix rpmlint warnings
* Mon Nov  6 2017 marec@detebe.org
- change into singlespec scheme
* Sun Aug  4 2013 hpj@urpla.net
- version 1.3: initial build
